function payBuy(bid,buri) {
    if($("input[name=payEmail]").val()=='')
    {
        layer.msg("请输入你的手机号，以便下次使用！");
        $("input[name=payEmail]").focus();
        return false;
    }
    layer.open({
        type: 2,
        area: ['100%', '100%'],
        fixed: false, //不固定
        title: '扫码支付信息',
        maxmin: true,
        content: buri + "&bid="+bid +"&payEmail="+$("input[name=payEmail]").val(),
        success: function(layero,index){
            //在回调方法中的第2个参数“index”表示的是当前弹窗的索引。
            //通过layer.full方法将窗口放大。
            layer.full(index);
        }
    });
}

function pay_ajax(bid,userEmail,puri) {
    if (bid && userEmail)
    {
        $.ajax({
            type: "POST",
            url: puri,
            data: 'bid='+bid+'&email='+userEmail,
            beforeSend: function () {
                var index = layer.load(0, {shade: false});
            },
            success: function (data) {
                layer.closeAll('loading');
                if(data.code=='200')
                {
                    if(data.loadUri==1)
                    {
                        layer.open({
                            type: 2,
                            area: ['100%', '100%'],
                            title: '正在打开支付宝，请同意打开！',
                            content: data.qqrcode,
                            time:3000
                        });
                    }
                    else
                    {
                        //layer.msg('支付二维码获取成功，请扫码支付！');
                        $("#qrcode").attr('src',data.qrcode);
                    }
                    $("#bmoney").text(data.bmoney);
                    $("#timer").text(data.expireTime);
                    $("#btitle").text(data.btitle);
                    $("#buri").text(data.buri);
                    //倒计时
                    setInterval(payTimer,1000);
                    //获取订单状态
                    setInterval(payStaus,10000);
                }
                else
                {
                    layer.confirm('发生错误:'+data.msg,function() {
                        if (data.refresh=='1')
                        {
                            //关闭窗口，并刷新文章页
                            var index = parent.layer.getFrameIndex(window.name); //获取窗口索引
                            parent.location.reload();
                            parent.layer.close(index);
                        }
                });
                }
            },
            error: function (obj, data) {
                layer.closeAll('loading');
                layer.confirm('页面请求发生错误，请联系管理员。')
            }
        });
    }
    else
    {
        layer.confirm('参数错误，请刷新页面后重试，或者联系管理员。');
    }
}

function payTimer() {
    var sec=$('#timer').text();
    if (sec>0)
    {
        sec--;
        $('#timer').html(sec);
    }
    else
    {
        $('#timer').html('已过期');
        layer.confirm('订单已过期，点击确定刷新页面，重新支付！',function() {
            //关闭窗口，并刷新文章页
            var index = parent.layer.getFrameIndex(window.name); //获取窗口索引
            parent.location.reload();
            parent.layer.close(index);
        });
    }
}

function payStaus() {
    $.ajax({
        type: "GET",
        url: "/?plugin=pay&ac=status",
        data: '',
        beforeSend: function () {
            var index = layer.load(0, {shade: false});
        },
        success: function (data) {
            layer.closeAll('loading');
            if(data.code=='200')
            {
                layer.confirm('支付成功！',function() {
                    //关闭窗口，并刷新文章页
                    var index = parent.layer.getFrameIndex(window.name); //获取窗口索引
                    parent.location.reload();
                    parent.layer.close(index);
                });
            }
            else if (data.code=='700')
            {
                //未支付
            }
            else
            {
                if(data.msg)
                {
                    layer.msg(data.msg);
                }
            }
        },
        error: function (obj, data) {
            layer.closeAll('loading');
        }
    });
}