<?php
/**
 *
 * 文件说明: 公共方法
 *
 * Created by PhpStorm.
 * User: qs9515
 * Date: 2020/3/10
 * Time: 22:45
 *
 * $Id$
 * $LastChangedDate$
 * $LastChangedRevision$
 * $LastChangedBy$
 */
class pay_func{
    public static function settingForm($edit=false)
    {
        $paySetting=array();
        //修改
        include dirname(__FILE__) . '/pay_config.php';
        //构造界面
        $str='';
        $str .= '<script>$("#pay_admin").addClass(\'sidebarsubmenu1\');</script>';
        $str .= '<div class="containertitle">
                 <b>内容付费插件 1.2</b>';
        $str .=  isset($_GET['setting']) ? '<span class="actived">插件设置完成</span>' : '';

        if (!extension_loaded('curl')) {
            $str .=  '<div class="des">对不起, 您的主机未启用 php-curl 扩展, 无法使用此插件 :(</div>';
        }
        $str .= '</div><div class="line"></div>';
        $str .= '<div style="margin-left:10px">';
        $str .= '<form action="plugin.php?plugin=pay&action=setting" method="post">';
        $str .= '<b>XorPay的参数信息</b>';
        $str .= '<p>AID: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="data[aid]" value="'.self::defautVar($paySetting,'aid').'"> <span class="required">*</span> </p>';
        $str .= '<p>app secret: <input type="text" name="data[secret]" value="'.self::defautVar($paySetting,'secret').'" size="35"> <span class="required">*</span></p>';
        $str .= '<b>XorPay申请地址</b>';
        $str .= '<p>XorPay官网：<span><a href="https://xorpay.com/" target="_blank">https://xorpay.com</a></span></p>';
        $str .= '<p>XorPay邀请链接：<span class="required"><a href="https://xorpay.com?r=laogewang" target="_blank">XorPay邀请链接（可得50元代金券）</a></span></p>';
        $str .= '<div class="line"></div>';
        $str .= '<b>支付开关</b>';
        $str .= '<p><input type="checkbox" id="payStatus" name="data[pay]" value="1" ';
        if (self::defautVar($paySetting,'pay')=='1')
        {
            $str .= ' checked="checked"';
        }
        $str .= '> <label for="payStatus"> 开启支付</label></p>';
        $str .= '<div class="line"></div>';
        $str .= '<b>客服信息</b>';
        $str .= '<p>客服信息: <input type="text" name="data[kefu]" value="'.self::defautVar($paySetting,'kefu').'" size="45" placeholder="填写文本客服信息，用于支付页面显示"></p>';
        $str .= '<p><input type="submit" value="保存设置" class="button" /></p></div></form>';
        return $str;
    }

    /**
     * 方法名称:defautVar
     * 说明: 判定数组索引是否存在，并赋值默认值
     * @param $param_arr 数组
     * @param $param_name 索引值
     * @param string $defaulVal 默认值
     * @return mixed|string
     */
    public static function defautVar($param_arr,$param_name,$defaulVal='')
    {
        return isset($param_arr[$param_name])?$param_arr[$param_name]:'';
    }

    /**
     * 方法名称:_post
     * 说明: 处理post
     * @param $params
     * @return string
     */
    public static function _post($params)
    {
        return isset($_POST[$params])?addslashes($_POST[$params]):'';
    }

    /**
     * 方法名称:_get
     * 说明: 处理get
     * @param $params
     * @return string
     */
    public static function _get($params)
    {
        return isset($_GET[$params])?addslashes($_GET[$params]):'';
    }

    /**
     * 方法名称:json
     * 说明: 输出json
     * @param array $data
     */
    public static function json($data=array())
    {
        if (is_array($data)) {
            header('content-type:application/json;charset=utf-8');
            echo json_encode($data, JSON_UNESCAPED_UNICODE);
        }
        exit;
    }

    /**
     * 方法名称:readConfig
     * 说明: 获取配置文件
     * @return bool
     */
    public static function readConfig()
    {
        $configFile=dirname(__FILE__).'/pay_config.php';
        if (file_exists($configFile))
        {
            include $configFile;
            return $paySetting;
        }
        return false;
    }

    /**
     * 方法名称:curlPost
     * 说明: 通过curl方式POST数据
     * @param $uri
     * @param $data
     */
    public static function curlPost($uri,$data)
    {
        $ch = curl_init();//创建curl请求
        if (isset($_SERVER['HTTP_USER_AGENT']) && $_SERVER['HTTP_USER_AGENT']!='')
        {
            curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
        }
        else
        {
            curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.0.04506; InfoPath.2; CHIP_INTERFACE 2.0)");
        }
        curl_setopt($ch, CURLOPT_URL,$uri); //设置发送数据的网址
        curl_setopt($ch, CURLOPT_RETURNTRANSFER,1); //设置有返回值，0，直接显示
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER,0); //禁用证书验证
        curl_setopt($ch, CURLOPT_POST, 1);//post方法请求
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);//post请求发送的数据包
        $res = curl_exec($ch);
        curl_close($ch);
        return $res;
    }

    /**
     * 方法名称:curlGet
     * 说明: 发送get请求
     * @param $uri
     */
    public static function curlGet($uri)
    {
        $ch = curl_init();
        if (isset($_SERVER['HTTP_USER_AGENT']) && $_SERVER['HTTP_USER_AGENT']!='')
        {
            curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']);
        }
        else
        {
            curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.0.04506; InfoPath.2; CHIP_INTERFACE 2.0)");
        }
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); // 跳过证书检查
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);  // 从证书中检查SSL加密算法是否存在
        curl_setopt($ch, CURLOPT_URL, $uri);//请求
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);//不直接输出数据
        $res = curl_exec($ch);//获取请求结果
        curl_close( $ch );
        return $res;
    }

    /**
     * 方法名称:getIp
     * 说明: 获取客户端IP
     * @return mixed|string
     */
    public static function getIp()
    {
        $ip = 'unknown';
        $unknown = 'unknown';
        if (isset($_SERVER['HTTP_X_FORWARDED_FOR']) && $_SERVER['HTTP_X_FORWARDED_FOR'] && strcasecmp($_SERVER['HTTP_X_FORWARDED_FOR'], $unknown)) {
            // 使用透明代理、欺骗性代理的情况
            $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
        } elseif (isset($_SERVER['REMOTE_ADDR']) && $_SERVER['REMOTE_ADDR'] && strcasecmp($_SERVER['REMOTE_ADDR'], $unknown)) {
            // 没有代理、使用普通匿名代理和高匿代理的情况
            $ip = $_SERVER['REMOTE_ADDR'];
        }
        // 处理多层代理的情况
        if (strpos($ip, ',') !== false) {
            // 输出第一个IP
            $ip = reset(explode(',', $ip));
        }
        return $ip;
    }

    /**
     * 方法名称:isPay
     * 说明: 指定用户是否已付费
     * @param $userId
     * @param $blogId
     * @return bool
     */
    public static function isPay($userId,$blogId)
    {
        $db=Database::getInstance();
        $userPay = $db->once_fetch_array("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "pay_log WHERE `bid`=".$blogId." and `phone`='".$userId."' and `status`='1'");
        if (isset($userPay['total']) && $userPay['total']>0)
        {
            return true;
        }
        return false;
    }

    /**
     * 方法名称:replaceSign
     * 说明: 处理付费标签
     * @return false|string|string[]
     */
    public static function replaceSign()
    {
        $content = ob_get_clean();
        $content = str_replace('[#zeyu#]','付费内容：<hr />',$content);
        $content = str_replace('[/#zeyu#]','<hr />',$content);
        ob_start();
        return $content;
    }

    /**
     * 方法名称:payViewLogs
     * 说明: 记录用户付费文章的浏览日志
     * @param $bid
     * @param $userId
     */
    public static function payViewLogs($userId,$bid)
    {
        if ($userId && $bid)
        {
            $db=Database::getInstance();
            $db->query("INSERT INTO " . DB_PREFIX . "pay_view (`bid`,`views`,`phone`,`host`,`ip`,`visit_date`) VALUES ('".$bid."','1','".$userId."','".(isset($_SERVER['HTTP_USER_AGENT'])?base64_encode($_SERVER['HTTP_USER_AGENT']):'')."','".pay_func::getIp()."','".date('Y-m-d H:i:s')."')");
        }
    }

    /**
     * 方法名称:updateOrderStatus
     * 说明: 批量更新订单状态
     * @param $userId
     * @param $bid
     */
    public static function updateOrderStatus($userId,$bid)
    {
        if ($userId && $bid)
        {
            $db=Database::getInstance();
            $res=$db->query("select * from " . DB_PREFIX . "pay_log where `bid`='$bid' and `phone`='$userId' and `status`=1");
            while ($row=$db->fetch_array($res))
            {
                $statusRes=self::curlGet('https://xorpay.com/api/query/'.$row['xpay_id']);
                $resArr=json_decode($statusRes,true);
                if (isset($resArr['status']))
                {
                    if ($resArr['status']=='payed' || $resArr['status']=='success')
                    {
                        //更新订单状态
                        $db->query("update `" . DB_PREFIX . "pay_log` set `status`=1 where `xpay_id`='".$row['xpay_id']."'");
                    }
                }
            }
        }
    }
}