<?php
/**
 *
 * 文件说明: emlog内容付费插件配置
 *
 * Created by PhpStorm.
 * User: qs9515
 * Date: 2020/3/9
 * Time: 23:32
 *
 * $Id$
 * $LastChangedDate$
 * $LastChangedRevision$
 * $LastChangedBy$
 */
if(!defined('EMLOG_ROOT')) {exit('error!');}

if (!class_exists('pay_func', false)) {
    include dirname(__FILE__) . '/pay_func.php';
}
/**
 * 方法名称:plugin_setting_view
 * 说明:加载配置页面
 */
function plugin_setting_view()
{
    echo pay_func::settingForm(true);
}

/**
 * 方法名称:plugin_setting
 * 说明:保存配置信息
 */
function plugin_setting()
{
    $pay_setting=isset($_POST['data'])?$_POST['data']:'';
    if (!empty($pay_setting))
    {
        if (isset($pay_setting['pay']) && $pay_setting['pay']=='1')
        {
            if (isset($pay_setting['aid']) && isset($pay_setting['secret']))
            {
                if ($pay_setting['aid']=='')
                {
                    emMsg('开启支付时，AID必须填写！', BLOG_URL . 'admin/plugin.php?plugin=pay');
                }
                if ($pay_setting['secret']=='')
                {
                    emMsg('开启支付时，app secret必须填写！', BLOG_URL . 'admin/plugin.php?plugin=pay');
                }
                foreach ($pay_setting as $k=>$v)
                {
                    $pay_setting[$k]=htmlspecialchars($v);
                }
                $fileContent="<?php\n";
                $fileContent.="/** 内容支付插件配置信息\n";
                $fileContent.="* Author:折雨的天空\n";
                $fileContent.="* URL: http://www.144d.com\n";
                $fileContent.="* Time: ".date('Y-m-d H:i:s')."\n";
                $fileContent.="*/\n";
                $fileContent.="if(!defined('EMLOG_ROOT')) {exit('error!');}\n";
                $fileContent.= "\$paySetting=".var_export($pay_setting,true).";";
                file_put_contents(dirname(__FILE__).'/pay_config.php',$fileContent);
            }
            else
            {
                emMsg('开启支付时，AID和app secret必须填写！', BLOG_URL . 'admin/plugin.php?plugin=pay');
            }
        }
        else
        {
            foreach ($pay_setting as $k=>$v)
            {
                $pay_setting[$k]=htmlspecialchars($v);
            }
            $fileContent="<?php\n";
            $fileContent.="/** 内容支付插件配置信息\n";
            $fileContent.="* Author:折雨的天空\n";
            $fileContent.="* URL: http://www.144d.com\n";
            $fileContent.="* Time: ".date('Y-m-d H:i:s')."\n";
            $fileContent.="*/\n";
            $fileContent.="if(!defined('EMLOG_ROOT')) {exit('error!');}\n";
            $fileContent.= "\$paySetting=".var_export($pay_setting,true).";";
            file_put_contents(dirname(__FILE__).'/pay_config.php',$fileContent);
        }
    }
    else
    {
        emMsg('数据保存失败！', BLOG_URL . 'admin/plugin.php?plugin=pay');
    }
}